from django.contrib.auth.models import User
from RESTinpy import resources, model_resources
from mysite.polls import models,  views

# Fallback_get
#from django.views.generic.list_detail import object_detail, object_list 

class PollsResource(model_resources.ModelListResource):
    """This resource represents the collection of all the polls registered in the system."""
    
    def __init__(self, name, **kwargs):
        model_resources.ModelListResource.__init__(self, name, ('GET', 'POST'),models.Poll, **kwargs )
        # Fallback_get
        # self.fallback_get = object_list

class PollResource(model_resources.ModelResource):
    """This resource represents a poll"""
    
    def __init__(self, name, **kwargs):
        model_resources.ModelResource.__init__(self, name, ('GET', 'PUT'),models.Poll, **kwargs)


class ChoicesResource(model_resources.ModelListResource):
    """This resource represents the collection of choices associated to a poll"""

    def __init__(self, name, **kwargs):
        model_resources.ModelListResource.__init__(self, name, ('GET', 'POST'),models.Choice, **kwargs)

class ChoiceResource(model_resources.ModelResource):
    """This resource represents a choice associated to a poll"""

    def __init__(self, name, **kwargs):
        model_resources.ModelResource.__init__(self, name, ('GET',), models.Choice, **kwargs)

# Create an object of each one
polls_resource = PollsResource('polls')
poll_resource  = PollResource ('poll', parent_resource = polls_resource)
choices_resource = ChoicesResource('choices')
choice_resource  = ChoiceResource ('choice' , parent_resource = choices_resource)

def list_local_resources():
    def my_import(name):
        # copied from http://www.python.org/doc/2.3/lib/built-in-funcs.html
        mod = __import__(name)
        components = name.split('.')
        for comp in components[1:]:
            mod = getattr(mod, comp)
        return mod
    this_mod = my_import(__name__)
    return resources.get_resources_defined_in_module(this_mod)