from django.conf.urls.defaults import *
from mysite.polls.models import Poll
#--- Added ---
from RESTinpy import formatters, adapters
from mysite.polls import resources
#--- end-Added ---

info_dict = {
    'queryset': Poll.objects.all(),
}

#--- Added ---
urlpatterns = patterns('')

all_resources = resources.list_local_resources()
all_resources.sort(lambda r1, r2: cmp(r1.name, r2.name))

uri_adapter = adapters.UriAdapter(all_resources, baseurl = "http://localhost:8000/polls")
directory_uri_adapter = adapters.DirectoryUriAdapter(all_resources, baseurl = "http://localhost:8000/polls")

for resource in all_resources:
    resource.adapters = [uri_adapter, directory_uri_adapter]
    resource.formatters = {'application/xml' : formatters.XmlFormatter(), 'application/json' : formatters.JsonFormatter()} # default formatters;
    resource.fallback_mimetypes = ['text/html', 'application/xhtml+xml']
    urlpatterns += resource.get_urlpatterns()
#--- end-Added ---

#Fallback_get
# urlpatterns += patterns('', (r'^polls/$', 'django.views.generic.list_detail.object_list', info_dict), )

urlpatterns += patterns('',
    (r'^$', 'django.views.generic.list_detail.object_list', info_dict),
    (r'^(?P<object_id>\d+)/$', 'django.views.generic.list_detail.object_detail', info_dict),
    url(r'^(?P<object_id>\d+)/results/$', 'django.views.generic.list_detail.object_detail', dict(info_dict, template_name='polls/results.html'), 'poll_results'),
    (r'^(?P<poll_id>\d+)/vote/$', 'mysite.polls.views.vote'),
)